aboutsummaryrefslogtreecommitdiffstats
path: root/bin/regen-fuzz
diff options
context:
space:
mode:
Diffstat (limited to 'bin/regen-fuzz')
-rwxr-xr-xbin/regen-fuzz6
1 files changed, 6 insertions, 0 deletions
diff --git a/bin/regen-fuzz b/bin/regen-fuzz
new file mode 100755
index 0000000..cda3cf8
--- /dev/null
+++ b/bin/regen-fuzz
@@ -0,0 +1,6 @@
+#!/bin/sh
+set -eu
+
+for file in tests/data/fixtures/*.in; do
+ cargo run --example generate_fuzz "$(basename "$file" .in)"
+done